Confluence upgrade failed - basic questions

Hello

I have a confluence ear/war installation (very old version) and now I want to upgrade to newer version.

I am upgrading it first to 3.5.17 (on linux)

1. I did not see any reason why it should be ear/war anymore so using 3.5.17 standalone for upgrade. (Is this ok?)

2. Installed 3.5.17 outofbox worked just fine.

3. Pointed to copy of old confluence home directory in confluence-init.properties, changed database settings, ldap settings etc and restarted

BOOOOM

Got an error: java.sql.SQLException: ORA-01408: such column list already indexed

Found a solution: https://jira.atlassian.com/browse/CONF-24672?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel

Restarted

Upgrade started :

INFO: Starting Servlet Engine: Apache Tomcat/6.0.32
2012-10-14 08:20:24,014 INFO [main] [com.atlassian.confluence.lifecycle] contextInitialized Starting Confluence 3.5.17 (build #2176)
2012-10-14 08:20:26,660 INFO [main] [atlassian.plugin.manager.DefaultPluginManager] init Initialising the plugin system
2012-10-14 08:20:26,827 INFO [main] [atlassian.plugin.manager.DefaultPluginManager] init Plugin system started in 0:00:00.165
alter table cwd_app_dir_operation add constraint fk_app_dir_mapping foreign key (app_dir_mapping_id) references cwd_app_dir_mapping
alter table cwd_user_credential_record add constraint FK76F874F73AEE0F foreign key (user_id) references cwd_user
alter table cwd_application_address add constraint fk_application_address foreign key (application_id) references cwd_application
alter table cwd_membership add constraint fk_parent_grp foreign key (parent_id) references cwd_group
alter table cwd_membership add constraint fk_child_user foreign key (child_user_id) references cwd_user
alter table cwd_membership add constraint fk_child_grp foreign key (child_group_id) references cwd_group
alter table cwd_application_attribute add constraint fk_application_attribute foreign key (application_id) references cwd_application
alter table cwd_app_dir_mapping add constraint fk_app_dir_dir foreign key (directory_id) references cwd_directory
alter table cwd_app_dir_mapping add constraint FK52050E2FB347AA6A foreign key (application_id) references cwd_application
alter table cwd_directory_attribute add constraint fk_directory_attribute foreign key (directory_id) references cwd_directory
alter table cwd_directory_operation add constraint fk_directory_operation foreign key (directory_id) references cwd_directory
alter table cwd_user_attribute add constraint fk_user_attr_dir_id foreign key (directory_id) references cwd_directory
alter table cwd_user_attribute add constraint fk_user_attribute_id_user_id foreign key (user_id) references cwd_user
alter table cwd_user add constraint fk_user_dir_id foreign key (directory_id) references cwd_directory
alter table cwd_group add constraint fk_directory_id foreign key (directory_id) references cwd_directory
alter table cwd_group_attribute add constraint fk_group_attr_id_group_id foreign key (group_id) references cwd_group
alter table cwd_group_attribute add constraint fk_group_attr_dir_id foreign key (directory_id) references cwd_directory
Oct 14, 2012 8:34:34 AM org.apache.coyote.http11.Http11Protocol start
INFO: Starting Coyote HTTP/1.1 on http-8080

Tried to access from browser: BOOOOOOM

Got message upgrade failed. Please consult system logs for details. Now system logs had nothing except what I pasted. atlassian-confluence.log file is not created. Pasted catalina.out earlier.

License Question:

Will the upgrade proceed with older version license and then when I start it should ask for newer license right. should I just edit confluence.cfg.properties and do something there?

Plugin Question:

I have some plugins, should I jsut upgrade and then update plugins through upm or is there some other way...

Is my database messedup now, should I take a fresh copy of database and confluence home?

I do not know what went wrong?

Your help in answering is appreciated.

Thanks

Abe

1 answer

This widget could not be displayed.

ok stopped and restarted and I can get into confluence 3.5.17

very strange.

I think what happend is the process of conversion of database was going on when I accessed confluence, the error message was just bizzare.

Now it says it cannot access plugin exchange...

https://answers.atlassian.com/questions/86845/confluence-upgrade-2-9-2-3-5-17-license-problems

Had to change base url and it worked.

(Ok I am not spamming, I think that this may be useful someone some time)

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted Monday in Confluence

Why start from scratch? Introducing four new templates for Confluence Cloud

Hi my Community friends!  For those who don't know me, I'm a product marketer on the Confluence Cloud team - nice to meet you! For those of you who do, you know that I've been all up in your Co...

409 views 4 6
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you